Bug 603849 - Can not generate banner due to missing default font
Summary: Can not generate banner due to missing default font
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fswebcam (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-14 17:09 UTC by Stefan Parviainen
Modified: 2010-09-23 12:59 UTC (History)
2 users (show)

Fixed In Version: fswebcam-20100622-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-21 01:31:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Parviainen 2010-06-14 17:09:05 UTC
Description of problem:
fswebcam tries to to use the "luxisr" font when generating banners for images, however this font is no longer included in Fedora,

Version-Release number of selected component (if applicable):
fswebcam 20100401

How reproducible:
Always unless other font is specified manually.

Steps to Reproduce:
1. Run "fswebcam out.png"
2. Notice lack of banner
  
Actual results:
"Unable to load font 'luxisr': Could not find/open font
Disabling the the banner."

Expected results:
No error, image should contain banner.

Additional info:

Comment 1 Philip Heron 2010-07-06 07:58:54 UTC
Hi Stefan,

I'm the upstream developer of fswebcam.

I have just fixed this by enabling GD's fontconfig support. This means you can use more generic font names such as "arial" or "sans" and Fontconfig will choose the most appropriate font file for you.

http://github.com/fsphil/fswebcam/commit/05ea39c7e4ad3386c326171287bf7f9dd46d680e

I have also changed the default font to "sans:10". On Fedora this translates to DejaVuSans.ttf.

Comment 2 Fabian Affolter 2010-09-01 10:46:06 UTC
Thanks Philip for the fix.  As long as there is no new release of fswebcam I will add a patch for this to the package.

Comment 3 Fedora Update System 2010-09-01 20:00:58 UTC
fswebcam-20100622-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fswebcam-20100622-2.fc13

Comment 4 Fedora Update System 2010-09-01 20:01:09 UTC
fswebcam-20100622-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fswebcam-20100622-2.fc14

Comment 5 Fedora Update System 2010-09-02 03:33:43 UTC
fswebcam-20100622-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fswebcam'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fswebcam-20100622-2.fc14

Comment 6 Fedora Update System 2010-09-21 01:31:10 UTC
fswebcam-20100622-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-09-23 12:59:41 UTC
fswebcam-20100622-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.